sticky_header_list 1.0.4

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 91

sticky_header_list

Sticky Header list for Flutter.

Usage

You need to wrap your widgets with StickyListRow. Use HeaderRow for headers that sticks and RegularRow for regular rows that scroll normally.

Height is optional, but if you include it, it will avoid usage of GlobalKeys to determine height:

new StickyRow(child: yourWidget, height: 20.0)

Usage is similar to ListView. You can either supply list:

new StickyList(
      children: <StickyListRow>[
        new HeaderRow(child: yourWidget),
        new RegularRow(child: yourWidget),
        new RegularRow(child: yourWidget),
        new HeaderRow(child: yourWidget),
        new RegularRow(child: yourWidget),
        /...
      ],
    );
    

Or you can use builder:

 new StickyList.builder(
      builder: (BuildContext context, int index) {
        if (something)
          return new HeaderRow(yourWidget)
        else
          return new RegularRow(yourWidget)
      },
      itemCount: 20,
    );
    

[1.0.0] - 30-April-2018

Initial Release.

[1.0.1] - 3-May-2018 : Export file in sticky_header_list.dart

[1.0.2] - 3-May-2018 : Update readme

[1.0.3] - 27-June-2018 : Moved delegate from state to stateful widget so that hot reload works properly now.

[1.0.4] - 11-July-2018 : Fix for overscroll indicator in Android. Refresh indicator now works if there are not enough items in list.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  sticky_header_list: "^1.0.4"

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:sticky_header_list/sticky_header_list.dart';
  
Version Uploaded Documentation Archive
1.0.4 Jul 11, 2018 Go to the documentation of sticky_header_list 1.0.4 Download sticky_header_list 1.0.4 archive
1.0.3 Jun 27, 2018 Go to the documentation of sticky_header_list 1.0.3 Download sticky_header_list 1.0.3 archive
1.0.2 May 3, 2018 Go to the documentation of sticky_header_list 1.0.2 Download sticky_header_list 1.0.2 archive
1.0.1 May 3, 2018 Go to the documentation of sticky_header_list 1.0.1 Download sticky_header_list 1.0.1 archive
1.0.0 May 2, 2018 Go to the documentation of sticky_header_list 1.0.0 Download sticky_header_list 1.0.0 archive

Analysis

We analyzed this package on Jul 13, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.63.0
  • pana: 0.11.3
  • Flutter: 0.5.4

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
82 / 100
Health:
Code health derived from static analysis. [more]
99 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100 / 100
Overall score:
Weighted score of the above. [more]
91
Learn more about scoring.

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Suggestions

  • The description is too short.

    Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

  • Maintain an example.

    Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use sticky_header_list.dart.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 2 hints.

    Run flutter format to format lib/sticky_header_list.dart.

    Run flutter format to format lib/sticky_row.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.8.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.6 1.14.10
meta 1.1.5
sky_engine 0.0.99
typed_data 1.1.5
vector_math 2.0.6 2.0.7
Dev dependencies
flutter_test